-- name:Some Kind of a Crash Game
-- description: 55 Star Romhack, this is a collection of levels by MarioCrash/LinCrash including remakes of levels from his previous Minihacks. Decent length, shouldn't take too long to beat.\n\nPorted by BlackJoystick\n\nMore Objects Patch for sm64ex-coop by Sunk
-- incompatible: romhack

gLevelValues.entryLevel = LEVEL_CASTLE_COURTYARD
gLevelValues.coinsRequiredForCoinStar = 50

camera_set_use_course_specific_settings(false)

smlua_audio_utils_replace_sequence(0x01, 0x17, 75, "01_Seq_custom")
smlua_audio_utils_replace_sequence(0x02, 0x11, 75, "02_Seq_custom")
smlua_audio_utils_replace_sequence(0x0B, 0x14, 75, "0B_Seq_custom")
smlua_audio_utils_replace_sequence(0x0D, 0x11, 75, "0D_Seq_custom")
smlua_audio_utils_replace_sequence(0x0E, 0x11, 75, "0E_Seq_custom")
smlua_audio_utils_replace_sequence(0x0F, 0x18, 75, "0F_Seq_custom")
smlua_audio_utils_replace_sequence(0x10, 0x12, 75, "10_Seq_custom")
smlua_audio_utils_replace_sequence(0x12, 0x1F, 75, "12_Seq_custom")
smlua_audio_utils_replace_sequence(0x14, 0x1A, 75, "14_Seq_custom")
smlua_audio_utils_replace_sequence(0x15, 0x0E, 75, "15_Seq_custom")
smlua_audio_utils_replace_sequence(0x16, 0x25, 75, "16_Seq_custom")
smlua_audio_utils_replace_sequence(0x17, 0x1A, 75, "17_Seq_custom")
smlua_audio_utils_replace_sequence(0x1B, 0x14, 75, "1B_Seq_custom")
smlua_audio_utils_replace_sequence(0x1C, 0x20, 75, "1C_Seq_custom")
smlua_audio_utils_replace_sequence(0x1D, 0x1E, 75, "1D_Seq_custom")
smlua_audio_utils_replace_sequence(0x1E, 0x1B, 75, "1E_Seq_custom")
smlua_audio_utils_replace_sequence(0x1F, 0x1A, 75, "1F_Seq_custom")
smlua_audio_utils_replace_sequence(0x20, 0x23, 75, "20_Seq_custom")
smlua_audio_utils_replace_sequence(0x21, 0x11, 75, "21_Seq_custom")
smlua_audio_utils_replace_sequence(0x23, 0x11, 75, "23_Seq_custom")
smlua_audio_utils_replace_sequence(0x24, 0x25, 75, "24_Seq_custom")
smlua_audio_utils_replace_sequence(0x27, 0x25, 75, "27_Seq_custom")
smlua_audio_utils_replace_sequence(0x29, 0x1A, 75, "29_Seq_custom")
smlua_audio_utils_replace_sequence(0x2A, 0x25, 75, "2A_Seq_custom")
smlua_audio_utils_replace_sequence(0x2C, 0x25, 75, "2C_Seq_custom")
smlua_audio_utils_replace_sequence(0x2E, 0x11, 75, "2E_Seq_custom")
smlua_audio_utils_replace_sequence(0x32, 0x1A, 75, "32_Seq_custom")
smlua_audio_utils_replace_sequence(0x33, 0x1A, 75, "33_Seq_custom")
smlua_audio_utils_replace_sequence(0x35, 0x25, 75, "35_Seq_custom")
smlua_audio_utils_replace_sequence(0x36, 0x19, 75, "36_Seq_custom")
smlua_audio_utils_replace_sequence(0x37, 0x25, 75, "37_Seq_custom")
smlua_audio_utils_replace_sequence(0x38, 0x11, 75, "38_Seq_custom")
smlua_audio_utils_replace_sequence(0x39, 0x1A, 75, "39_Seq_custom")
smlua_audio_utils_replace_sequence(0x3A, 0x11, 75, "3A_Seq_custom")

gBehaviorValues.trajectories.KoopaBobTrajectory = get_trajectory('KoopaBoB_path')
gBehaviorValues.trajectories.KoopaThiTrajectory = get_trajectory('KoopaTHI_path')
gBehaviorValues.trajectories.PlatformRrTrajectory          = get_trajectory('rr_seg7_trajectory_0702EC3C_RM2C_path')
gBehaviorValues.trajectories.PlatformRr2Trajectory         = get_trajectory('rr_seg7_trajectory_0702ECC0_RM2C_path')
gBehaviorValues.trajectories.PlatformCcmTrajectory         = get_trajectory('ccm_seg7_trajectory_0701669C_RM2C_path')
gBehaviorValues.trajectories.PlatformBitfsTrajectory       = get_trajectory('bitfs_seg7_trajectory_070159AC_RM2C_path')
gBehaviorValues.trajectories.PlatformHmcTrajectory         = get_trajectory('hmc_seg7_trajectory_0702B86C_RM2C_path')
gBehaviorValues.trajectories.PlatformLllTrajectory         = get_trajectory('lll_seg7_trajectory_0702856C_RM2C_path')
gBehaviorValues.trajectories.PlatformLll2Trajectory        = get_trajectory('lll_seg7_trajectory_07028660_RM2C_path')
gBehaviorValues.trajectories.PlatformRr3Trajectory         = get_trajectory('rr_seg7_trajectory_0702ED9C_RM2C_path')
gBehaviorValues.trajectories.PlatformRr4Trajectory         = get_trajectory('rr_seg7_trajectory_0702EEE0_RM2C_path')
gBehaviorValues.trajectories.RacingPenguinTrajectory       = get_trajectory('ccm_seg7_trajectory_penguin_race_RM2C_path')
gBehaviorValues.trajectories.BowlingBallBobTrajectory      = get_trajectory('ttc_bowling_ball_path')
gBehaviorValues.trajectories.BowlingBallThiLargeTrajectory = get_trajectory('rr_bowling_ball_path')


vec3f_set(gLevelValues.starPositions.KoopaBobStarPos, 2677, 441, -9779)
vec3f_set(gLevelValues.starPositions.KoopaThiStarPos, 7100, -1300, -6000)
vec3f_set(gLevelValues.starPositions.KingBobombStarPos, 3263.0, 4348.0, -11497.0)
vec3f_set(gLevelValues.starPositions.KingWhompStarPos, 180.0, 3880.0, 340.0)
vec3f_set(gLevelValues.starPositions.EyerockStarPos, -1816.0, -4265.0, -4849.0)
vec3f_set(gLevelValues.starPositions.BigBullyStarPos, 3700.0, 600.0, -5500.0)
vec3f_set(gLevelValues.starPositions.ChillBullyStarPos, 130.0, 1600.0, -4335.0)
vec3f_set(gLevelValues.starPositions.BigPiranhasStarPos, -31.0, -3338.0, -1976.0)
vec3f_set(gLevelValues.starPositions.TuxieMotherStarPos, -3338.0, 7407.0, -2863.0)
vec3f_set(gLevelValues.starPositions.WigglerStarPos, 0.0, 2048.0, 0.0)
vec3f_set(gLevelValues.starPositions.PssSlideStarPos, -4819.0, -5439.0, 3193.0)
vec3f_set(gLevelValues.starPositions.RacingPenguinStarPos, -3338.0, 7407.0, -2863.0)
vec3f_set(gLevelValues.starPositions.TreasureChestStarPos, -1800.0, -2500.0, -1700.0)
vec3f_set(gLevelValues.starPositions.GhostHuntBooStarPos, 980.0, 1100.0, 250.0)
vec3f_set(gLevelValues.starPositions.KleptoStarPos, -5550.0, 300.0, -930.0)
vec3f_set(gLevelValues.starPositions.MerryGoRoundStarPos, -1600.0, -2100.0, 205.0)
vec3f_set(gLevelValues.starPositions.MrIStarPos, 1370.0, 2000.0, -320.0)
vec3f_set(gLevelValues.starPositions.BalconyBooStarPos, 6.0, 7811.0, 1934.0)
vec3f_set(gLevelValues.starPositions.BigBullyTrioStarPos, 0.0, 950.0, -6800.0)
